Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Joni Lehtola
    @jonilehtola
    Vastaten itselleni, masteroidussa on saanut kysymys-idn jokainen kenttä ja oman numeron, eli pitäisi toimia.
    Sakumatti Luukkonen
    @sluukkonen
    Sen pitäisi toimia ihan OK
    Joni Lehtola
    @jonilehtola
    Sellaista koetta ei liene mahdollista tehdä, joissa olisi valittavana kaksi vaihtoehtoista tehtävää, joissa on osana monivalintoja, ja myös, että ylimääräisten vastauksien hälyttäjä toimisi oikein? Tämä siis siksi, että kun olet vastannut yhteenkin monivalintaan, niin vastausta ei enää voi perua? Olisiko mahdollista saada aikaiseksi monivalintaan linkki, joka poistaisi vastauksen, joka tulisi aina automaattisesti tähän tehtävätyyppiin? Olisi käyttöliittymällisestikin järkevämpi.
    Näitähän on ollut ylppäreissäkin, esim. matikan kevät 2021. Enpä tiedä miten tuo ylimääräisten vastauksien indikaattori toimi pitkän matikan B2-osassa, vai pystyikö siellä drop-down-valikon vastauksia perumaan.
    Joni Lehtola
    @jonilehtola
    Tuossa olisi käliskissi
    Joni Lehtola
    @jonilehtola
    image.png
    Sakumatti Luukkonen
    @sluukkonen
    Yo-kokeissa me ollaan käytetty valinnaisissa monivalinnoissa erityisiä "En vastaa"-vaihtoehtoja. Niille on olemassa (dokumentoimaton) type="no-answer"-attribuutti, jonka avulla vastauksen voi poistaa. Mut mielestäni Abitin arvostelukoodi ei osaa arvostella niitä siten, että pisteitä saa vain toisesta vaihtoehtoisesta alatehtävästä.
    <e:choice-answer-option type="no-answer">En vastaa.</e:choice-answer-option>
    Hannu Tabell
    @tabell-ha
    @sluukkonen Kysyisin, onkohan exam-schema-version 0.3 jo käytettävissä ee 16.0.3:ssa? Tyhjensin lemminx/cahce-kansion. ee migrate tuottaa tässä vaiheessa 0.2-skeemaa.
    Hannu Tabell
    @tabell-ha
    @luukkonen Viittaan eilisellä kysymykselläni <e:exam-grading-instruction>-elementtiin.
    Lasse Franti
    @LasseFranti_twitter
    Versio 16.1.0 tuntuu ainakin tuottavan 0.3-skeemaa, joka toimii pääosin paikallisesti, mutta alasvetomonivalinnat näkyvät hieman hassusti. OmaAbitti ei kuitenkaan hyväksy ee create-transfer-zip:llä tehtyä siirtotiedostoa, jossa ei pitäisi käsittääkseni olla suurta riippuvuutta paikallisen asennuksen toiminnasta. 16.0.3 tuottaa ainakin minulla 0.2-skeemaa, joka toimii normaalisti.
    Sakumatti Luukkonen
    @sluukkonen
    Moi, takaisin nyt lomalta. Päivitän abitin, jotta sekin hyväksyy 0.3-skeeman.
    Sakumatti Luukkonen
    @sluukkonen
    Alasvetolaatikoiden ongelma todennäköisesti korjautuu ee startin uudelleenkäynnistyksellä. Siinä on joku pieni ajoitusongelma, jota en ole ikinä pystynyt paikallistamaan.
    Hannu Tabell
    @tabell-ha
    @sluukkonen Kiitos, hyvin toimii 16.1.1. Varsinkin on hyvä tämä html-muodossa saatava grading-instructions.
    Sakumatti Luukkonen
    @sluukkonen
    Luuletko, että teilläkin olisi sille käyttöä? Se on lähinnä tehty nyt tulevien YO-kokeiden hyvän vastauksen piirteitä varten. Itse (ehkä naiivisti) kuvittelin, että se ei olisi kamalan kiinnostava ominaisuus muille.
    Hannu Tabell
    @tabell-ha
    @luukkonen Kyllä, ajattelin ottaa sen käyttöön.
    Hannu Tabell
    @tabell-ha
    @luukkonen En ole saanut alasvetolaatikoita näkymään normaalisti käyttämällä ee startia. Ne näkyvät siis EE:n esikatselussa oikein, mutta opiskelijan koneella Abitissa näkymä on normaalista poikkeava.
    Hannu Tabell
    @tabell-ha
    @sluukkonen Alasvetolaatikot aidossa Abitti-ympäristössä näyttäytyvät normaalisti. Kiitos paljon.
    Sakumatti Luukkonen
    @sluukkonen
    @tabell-ha Jos kokeilet ajaa ee start uudestaan, niin se todennöisesti korjaa ongelman.
    Hannu Tabell
    @tabell-ha
    @sluukkonen Tilanne oli siis se, että EE:n puolen localhostissa kaikki dropdown-answer-tehtävät näkyivät hyvin, mutta kun vein kokeen Abitti-palvelimelle, niin opiskelijan näkymässä kukin alasvetolaatikko oli korkea ja kapea. Nyt kaikki on kunnossa sekä EE:ssä että koetilanteessa Abitissa.
    Sakumatti Luukkonen
    @sluukkonen
    Okei. Eli tämä bugi toistuu joskus myös varsinaisessa kokeessa
    Pitää yrittää selvittää mistä se johtuu, mutta oletettavasti sivun lataaminen uudestaan korjaa sen aika hyvällä todennäköisyydellä.
    Hannu Tabell
    @tabell-ha
    image.png
    @sluukkonen Muutama viikko sitten tämän totesin samoin kuin @LasseFranti_twitter kirjoitti 2.8.2021. Nyt en ole tällä viikolla enää nähnyt sitä, että varsinaisessa kokeessa olisi ollut tällaista ongelmaa. Testasin juuri, ja näkymä on oikein.
    Tuo edellä oleva kuva on siis varsinaisessa kokeessa olevalta koneelta. EE:ssä näkymä on ollut kaiken aikaa oikein.
    Hannu Tabell
    @tabell-ha
    MEX-dokumentaatiossa on muutama päivä sitten rich-text-answeriin uusi attribuutti max-length="20". Milloin tämä on käytettävissä EE:n kautta laadituissa kokeissa tai Bertalla laadituissa kokeissa?
    Hannu Tabell
    @tabell-ha
    Lähetin tänään abitti-tukeen sähköpostiviestin, jossa kerroin monivalintatehtävien arvioinnin erheellisyydestä. Tätä ei mielestäni ole tapahtunut ennen Bertan julkaisua. Oli tilanteita, että opiskelijan väärä valinta tuotti oikean vastauksen ja siitä pisteet. Toinen tilanne oli se, että arvioinnissa näkyi eri vastausvaihtoehto oikeana, joka kokeen laatiessa oli oikea vaihtoehto. Kolmas tilanne oli se, että arviointinäkymässä opiskelijan valitsema vaihtoehto olikin muuttunut joksikin toiseksi vaihtoehdoksi. Koe on koodattu EE:llä.
    Hannu Tabell
    @tabell-ha
    @sluukkonen Bertta ei ole millään tavalla ilmoittanut, että koodi olisi väärää. Uskaltaako pitää preliminäärikokeita, jotka on laadittu EE:llä?
    image.png
    image.png
    @sluukkonen Tässä pari kuvakaappausta
    Hannu Tabell
    @tabell-ha
    max-length="xx" näyttää nyt olevan käytössä. Kiitos!
    Matti Lattu
    @mplattu
    Tällä hetkellä ee:ssä on käytön estävä ongelma, joka on meidän työjonossa.
    Eero Anttila
    @eeroan
    Toimiiko nyt?
    Hannu Tabell
    @tabell-ha
    @eeroan @mplattu Ei toimi 16.4.9. Kokeilin juuri. Error: Cannot find module 'css-minimizer-webpack-plugin'
    En myöskään saanut peruutettua viimeisimpään toimivaan versioon 16.4.7.
    Eero Anttila
    @eeroan
    Mikä on nodejs-versio? Auttaako päivitys versioon 16?
    Hannu Tabell
    @tabell-ha
    v16.13.2.
    Eero Anttila
    @eeroan
    Entäs nyt versiolla 17.4.10? Tämä on hieman hakuammuntaa, koska en toistettua virhettä
    Hannu Tabell
    @tabell-ha
    image.png
    EE:n v.16.4.10 toimii siten, että preview on kunnossa, samoin ee create-transfer-zip, mutta ee create-offline tekee kansioon suuren määrän fonttitiedostoja. Samoin sitten offline tai grading-instruction -tiedostot eivät saa tyylitiedostosta kiinni. Tässä on esimerkki HVP:stä:
    image.png
    Tässä on esimerkki offlinestä.
    Nämä siis Node.js:n v16.13.2:lla
    Offlinen sisältämässä attachments-kansiossa on entiseen verrattuna index.html-tiedosto, mitä ei ole aiemmin syntynyt.
    Eero Anttila
    @eeroan
    Korjaava päivitys on nyt julkaistu
    Hannu Tabell
    @tabell-ha
    Kiitos, 16.4.11 toimii.
    Eero Anttila
    @eeroan
    :thumbsup:
    PVienonen
    @PVienonen

    Hei, tietääkö kukaan, mikä olisi "oikea" tapa hyödyntää <e:answer-grading-instruction> tai <e:question-grading-instruction> laatikkoja Bertta-editorissa. Kaipaan mahdollisuutta editoida mallivastauksia, mutta jos käytän "answer-grading-instruction" -komentoa, se näkyy hienosti Bertassa laatikkona, mutta kun painan laatikon sisällä "Enteriä", editori generoi laatikon alle monivalintapallukan ja tulee virheilmoitus.

    Jos käytän "question-grading-instruction" komentoa, ei hiirtä klikkaamalla pääse muokkaamaan tekstiä, vaan sinne pitää uiskennella nuolinäppäimillä.

    Kumpi vaan kelpaisi minulle, mutta nyt Bertta ei oikein taivu editointiin.
    Hyvä, että Bertta näyttää näiden sisällöt, mutta olisi hienoa, jos niiden muokkaaminenkin onnistuisi ilman kikkailua.

    Hannu Tabell
    @tabell-ha
    EE:n v17.0.0 ei toimi. Preview ei käynnisty lainkaan.
    Hannu Tabell
    @tabell-ha
    Anteeksi, tuo taisi johtua yhdestä työasemastani. Muilla koneilla v17.0.0 on toiminut. Mutta oma.abitti.fi-sivusto ei taida vielä tukea skeemaa 0.4.